Get job title list

Prev Next

Available in Classic and VPC

Get the job title list.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /ncloudmcc/v1/companies/{companyId}/job-grades

Request headers

For information about the headers common to all Media Connect Center APIs, see Media Connect Center request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
companyId String Required Integration key
  • Check from console: Media Connect Center > Developers > Basic settings > Integration key

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
limit Number Optional Maximum item count of query data
  • Default: 10
offset Number Optional Start location of query data
  • Default: 0

Request example

The request example is as follows:

curl --location --request GET 'https://ncloudmcc.apigw.ntruss.com/ncloudmcc/v1/companies/2b64fc1e-6e9c-40dc-8b40-991bcaada5ef/job-grades' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'x-ncp-region_code: KR' \
--header 'Content-Type: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
page Object - Page information
page.count Number - Number of response results
page.offset Number - Start location of query data
page.limit Number - Maximum item count of query data
page.total Number - Total response count
jobGrades Array - Job title list: jobGrades

jobGrades

The following describes jobGrades.

Field Type Required Description
name String - Job title name
i18nNames Object - Job title multilingual name
i18nNames.{locale} String - Job title name by language
  • "Language code": "Value" format
  • Display the registered value among Korean, English, and Japanese.
sortOrd Number - Query display order
externalKey String - Job title external key

Response status codes

For information about the HTTP status codes common to all Media Connect Center APIs, see Media Connect Center response status codes.

Response example

The response example is as follows:

{
    "page": {
        "count": 6,
        "offset": 0,
        "limit": 10,
        "total": 6
    },
    "jobGrades": [
        {
            "name": "CEO",
            "i18nNames": {
                "ko_KR": "CEO",
                "en_US": "CEO",
                "ja_JP": "代表取締役"
            },
            "sortOrd": 1,
            "externalKey": ""
        },
        {
            "name": "Supervisor",
            "i18nNames": {
                "ko_KR": "수퍼바이저",
                "en_US": "Supervisor"
            },
            "sortOrd": 1,
            "externalKey": "hg-grade-1"
        },
        {
            "name": "Department manager",
            "i18nNames": {
                "ko_KR": "Department manager",
                "en_US": "Director",
                "ja_JP": "部長"
            },
            "sortOrd": 2,
            "externalKey": ""
        },
        {
            "name": "Manager",
            "i18nNames": {
                "ko_KR": "Manager",
                "en_US": "Manager",
                "ja_JP": "課長"
            },
            "sortOrd": 3,
            "externalKey": ""
        },
        {
            "name": "Assistant Manager",
            "i18nNames": {
                "ko_KR": "Assistant Manager",
                "en_US": "Deputy",
                "ja_JP": "代理"
            },
            "sortOrd": 4,
            "externalKey": ""
        },
        {
            "name": "Employee",
            "i18nNames": {
                "ko_KR": "Employee",
                "en_US": "Employee",
                "ja_JP": "社員"
            },
            "sortOrd": 5,
            "externalKey": ""
        }
    ]
}